{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.nicothekid_nether_wisp.movement": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "floating"
          ]
        }
      }
    },
    "controller.animation.nicothekid_nether_wisp.particles": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "nether_wisp_particle": "query.variant == 0"
            },
            {
              "nether_wisp_soul_particle": "query.variant == 1"
            }
          ]
        },
        "nether_wisp_particle": {
          "particle_effects": [
            {
              "effect": "nether_wisp_particle"
            }
          ],
          "transitions": [
            {
              "nether_wisp_soul_particle": "query.variant == 1"
            }
          ]
        },
        "nether_wisp_soul_particle": {
          "particle_effects": [
            {
              "effect": "nether_wisp_soul_particle"
            }
          ],
          "transitions": [
            {
              "nether_wisp_particle": "query.variant == 0"
            }
          ]
        }
      }
    }
  }
}
